<!DOCTYPE html>
<html>
<head>
  <title>Data Visualization</title>
  <link rel="stylesheet" type="text/css" href="css/style.css"></link>
  <link rel="stylesheet" type="text/css" href="css/bootstrap.css"></link>
  <link rel="stylesheet" type="text/css" href="css/bootstrap-theme.css"></link>
  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js">
  </script>
  <script src="scripts.js">
  </script>
</head>
<body>
<div class="content">
  <div class="containment-bounds">

<?php
  $TOP_WORD_COUNT = 5;                              // This variable is used to tell the program how many words the shared_text file includes
                                                    //  This variable is used to govern the loops that read data from the file. In order to have the
                                                    //  data be properly displayed on the page, html for more divs will need to be added, in the same
                                                    //  form as for the other words. JavaScript will also need to be added for the new divs.

  $filename = "sample_shared.txt";                  // Holds the filename
  $lines = array();                                 // An array that will hold the lines of the text file
  $appearance_indices = array();                    // An array that will hold an array for each word, which will each contain the indices
                                                    //  (in $lines) of sentences where the word appears
  $random_indices = array();                        // An array that will hold an array for each word, which will each contain
                                                    //  the randomly selected indices when choosing a random sample of 10 appearances

  $handle = fopen($filename, "r");
  /*if(($handle == FALSE)                             // If the file doesn't open, echo error message. This is causing problems for me. Ask Dr. McVey
    echo "ERROR: Text file could not be opened."*/
                                                   // If the file opens, gets the contents of the file and
                                                   //  explodes the lines into the lines array
  $text_data = fread($handle, filesize($filename));
  fclose($handle);

  $lines = explode("\n", $text_data);

  // Create and populate each of the arrays of appearance indices
  for($i = $TOP_WORD_COUNT; $i < ($TOP_WORD_COUNT * 2); $i++)
  {
    $appearance_indices[$i-$TOP_WORD_COUNT] = array();
    $appearance_indices[$i-$TOP_WORD_COUNT] = explode(",", $lines[$i]);
  }

  // Create the random_indices arrays and populate them
  for($i = 0; $i < $TOP_WORD_COUNT; $i++)
  {
    $random_indices[$i] = array();
    $random_count = 0;

    if(count($appearance_indices[$i]) > 10)
    {
      // Only generate 10 unique random numbers
      while($random_count < 10)
      {
        // Generate a random number between 0 and
        $random = rand(0, count($appearance_indices[$i]) - 1);

        // If the number is not already in the array, enter the random value into the array
        if(!in_array($random, $random_indices[$i]))
        {
          $random_indices[$i][$random_count] = $random;
          $random_count++;
        }
      }

      /*
      echo "----------------------".$i."------------------------";

      // Test code to display randomly generated indices
      for($j = 0; $j < 10; $j++)
      {
        echo "<h4>".strval($random_indices[$i][$j])."</h4>";
      }
      */

    }
  }

  //Testing
  //for($i = 0; $i < count($lines); $i++)
  //  echo $lines[$i]."<br />";

// Display the two links at the top of the page, followed by the "wordbank" area - containing the top 5 words
  echo "
  <nav class='navbar' role='navigation'>
    <div class='top-links'>
      <a href='index.php' class='current-page'>RESULTS</a>
      <a href='about.html'>ABOUT</a>
    </div>

    <div class='divider'><div>
  </nav>

  <div class='wordbank'>
    <h3 id='word1' class='rank-one'>".$lines[0]."</h3>";

    echo "
      <h3 id='word2' class='rank-two'>".$lines[1]."</h3>";

    echo "
      <h3 id='word3' class='rank-three'>".$lines[2]."</h3>";

    echo "
      <h3 id='word4' class='rank-four'>".$lines[3]."</h3>";

    echo "
      <h3 id='word5' class='rank-five'>".$lines[4]."</h3>";

  echo "</div>";


// Creation and population of the "sentence" area - the right side of the page where sentences are displayed
// One div with class "sentences" for each of the 5 top words. These divs will be populated with sentences
//  in which the corresponding word appears
  echo "<div class='sentence-area'>";

    // Word 1's sentences
    echo "<div id = 'sentences1' class='sentences'>";

      // If the word appears in more than 10 sentences, use the previously generated random sample of 10
      if( count($appearance_indices[0]) > 10 )
      {
        // Using the 10 random indices from $random_indices
        for($i = 0; $i < 10; $i++)
        {
          // Find the randomly chosen index of the appearances_indices table
          $appearance_lookup_index = $random_indices[0][$i];

          // Find the lines table index stored in the appearances_indices table
          $index = $appearance_indices[0][$appearance_lookup_index];

          echo "<p>".($i + 1).". ".$lines[$index + 10]."</p>";
        }
      }

      // If the word appears in less than 10 sentences, display all appearances
      else
      {
        for($i = 0; $i < count($appearance_indices[0]); $i++)
        {
          $index = $appearance_indices[0][$i];
          echo "<p>".($i + 1).". ".$lines[$index + 10]."</p>";
        }
      }

    echo "</div>";

    // Word 2's sentences
    echo "<div id = 'sentences2' class='sentences'>";
      if( count($appearance_indices[1]) > 10 )
      {
        // Using the 10 random indices from $random_indices
        for($i = 0; $i < 10; $i++)
        {
          // Find the randomly chosen index of the appearances_indices table
          $appearance_lookup_index = $random_indices[1][$i];

          // Find the lines table index stored in the appearances_indices table
          $index = $appearance_indices[1][$appearance_lookup_index];

          echo "<p>".($i + 1).". ".$lines[$index + 10]."</p>";
        }
      }

      else
      {
        for($i = 0; $i < count($appearance_indices[1]); $i++)
        {
          $index = $appearance_indices[1][$i];
          echo "<p>".($i + 1).". ".$lines[$index + 10]."</p>";
        }
      }
    echo "</div>";

    // Word 3's sentences
    echo "<div id = 'sentences3' class='sentences'>";
      if( count($appearance_indices[2]) > 10 )
      {
        // Using the 10 random indices from $random_indices
        for($i = 0; $i < 10; $i++)
        {
          // Find the randomly chosen index of the appearances_indices table
          $appearance_lookup_index = $random_indices[2][$i];

          // Find the lines table index stored in the appearances_indices table
          $index = $appearance_indices[2][$appearance_lookup_index];

          echo "<p>".($i + 1).". ".$lines[$index + 10]."</p>";
        }
      }

      else
      {
        for($i = 0; $i < count($appearance_indices[2]); $i++)
        {
          $index = $appearance_indices[2][$i];
          echo "<p>".($i + 1).". ".$lines[$index + 10]."</p>";
        }
      }
    echo "</div>";

    // Word 4's sentences
    echo "<div id = 'sentences4' class='sentences'>";
      if( count($appearance_indices[3]) > 10 )
      {
        // Using the 10 random indices from $random_indices
        for($i = 0; $i < 10; $i++)
        {
          // Find the randomly chosen index of the appearances_indices table
          $appearance_lookup_index = $random_indices[3][$i];

          // Find the lines table index stored in the appearances_indices table
          $index = $appearance_indices[3][$appearance_lookup_index];

          echo "<p>".($i + 1).". ".$lines[$index + 10]."</p>";
        }
      }

      else
      {
        for($i = 0; $i < count($appearance_indices[3]); $i++)
        {
          $index = $appearance_indices[3][$i];
          echo "<p>".($i + 1).". ".$lines[$index + 10]."</p>";
        }
      }
    echo "</div>";

    // Word 5's sentences
    echo "<div id = 'sentences5' class='sentences'>";
      if( count($appearance_indices[4]) > 10 )
      {
        // Using the 10 random indices from $random_indices
        for($i = 0; $i < 10; $i++)
        {
          // Find the randomly chosen index of the appearances_indices table
          $appearance_lookup_index = $random_indices[4][$i];

          // Find the lines table index stored in the appearances_indices table
          $index = $appearance_indices[4][$appearance_lookup_index];

          echo "<p>".($i + 1).". ".$lines[$index + 10]."</p>";
        }
      }

      else
      {
        for($i = 0; $i < count($appearance_indices[4]); $i++)
        {
          $index = $appearance_indices[4][$i];
          echo "<p>".($i + 1).". ".$lines[$index + 10]."</p>";
        }
      }
    echo "</div>";

  echo "</div>";
?>

    <div class="clearfix"></div>
    <div class='divider'></div>

    <div class="footer">
      <em>David Ferris - Capstone 2014</em>
    </div>
  </div>
</div>
</body>
</html>
